Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::NameValuePairSeq_var Class Reference

`#include <DynamicAnyC.h>`

List of all members.

## Public Methods
| NameValuePairSeq_var (void)
| NameValuePairSeq_var (NameValuePairSeq *)
| NameValuePairSeq_var (const NameValuePairSeq_var &)
| ~NameValuePairSeq_var (void)
NameValuePairSeq_var & | operator= (NameValuePairSeq *)
NameValuePairSeq_var & | operator= (const NameValuePairSeq_var &)
NameValuePairSeq * | operator-> (void)
const NameValuePairSeq * | operator-> (void) const
| operator const NameValuePairSeq & () const
| operator NameValuePairSeq & ()
| operator NameValuePairSeq & () const
| operator NameValuePairSeq *& ()
NameValuePair & | operator[] (CORBA::ULong index)
const NameValuePair & | operator[] (CORBA::ULong index) const
const NameValuePairSeq & | in (void) const
NameValuePairSeq & | inout (void)
NameValuePairSeq *& | out (void)
NameValuePairSeq * | _retn (void)
NameValuePairSeq * | ptr (void) const
## Private Attributes
NameValuePairSeq * | ptr_

## Constructor & Destructor Documentation

DynamicAny::NameValuePairSeq_var::NameValuePairSeq_var | ( | void |  | ) |

DynamicAny::NameValuePairSeq_var::NameValuePairSeq_var | ( | NameValuePairSeq * |  | ) |

DynamicAny::NameValuePairSeq_var::NameValuePairSeq_var | ( | const NameValuePairSeq_var & |  | ) |

DynamicAny::NameValuePairSeq_var::~NameValuePairSeq_var | ( | void |  | ) |

## Member Function Documentation

NameValuePairSeq* DynamicAny::NameValuePairSeq_var::_retn | ( | void |  | ) |

const NameValuePairSeq& DynamicAny::NameValuePairSeq_var::in | ( | void |  | ) | const

NameValuePairSeq& DynamicAny::NameValuePairSeq_var::inout | ( | void |  | ) |

DynamicAny::NameValuePairSeq_var::operator const NameValuePairSeq & | ( |  | ) | const

DynamicAny::NameValuePairSeq_var::operator NameValuePairSeq & | ( |  | ) | const

DynamicAny::NameValuePairSeq_var::operator NameValuePairSeq & | ( |  | ) |

DynamicAny::NameValuePairSeq_var::operator NameValuePairSeq *& | ( |  | ) |

const NameValuePairSeq* DynamicAny::NameValuePairSeq_var::operator-> | ( | void |  | ) | const

NameValuePairSeq* DynamicAny::NameValuePairSeq_var::operator-> | ( | void |  | ) |

NameValuePairSeq_var& DynamicAny::NameValuePairSeq_var::operator= | ( | const NameValuePairSeq_var & |  | ) |

NameValuePairSeq_var& DynamicAny::NameValuePairSeq_var::operator= | ( | NameValuePairSeq * |  | ) |

const NameValuePair& DynamicAny::NameValuePairSeq_var::operator[] | ( | CORBA::ULong | index | ) | const

NameValuePair& DynamicAny::NameValuePairSeq_var::operator[] | ( | CORBA::ULong | index | ) |

NameValuePairSeq*& DynamicAny::NameValuePairSeq_var::out | ( | void |  | ) |

NameValuePairSeq* DynamicAny::NameValuePairSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

NameValuePairSeq* DynamicAny::NameValuePairSeq_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- DynamicAnyC.h